"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (raw, base = 10) => {
    const parsed = Number.parseInt(raw, base);
    if (!Number.isSafeInteger(parsed)) {
        throw new TypeError(`Invalid integer`);
    }
    return parsed;
};
